%define name LnxZip
%define version 0.1
%define release 3mdk
%define prefix /usr

Summary : LnxZip a WinZip(tm) clone and RPM builder for Linux Gnome.
Name: %name
Version: %version
Release: %release
Copyright: GPL
Group: Archiving/Compression
Source: %name-%version-1.tar.bz2
Source1: %{name}_menuentry
Source2: %{name}_icons.tar.bz2
BuildRoot: %_tmppath/%name-buildroot

%description
LnxZip  is a Gnome front-end to common archive utilities under Linux/unix. 
The goal is to provide the end user with a quality tool he/she requires to 
either work with compressed files or create RPM's. 

Currently zip, gzip, tar, arj, and bzip2 are supported. Functionality 
includes the ability to open archives, and to add, delete, extract, and view 
files.  RPM functionality includes creation of spec file, automatic naming 
convention, creation of build scripts, creation of build tree and execution 
of build script.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
tar xvfy %{SOURCE2}
 ./configure

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
make prefix=$RPM_BUILD_ROOT%{prefix} install

install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/%{name}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/mini
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/large
cd $RPM_BUILD_DIR/%{name}-%{version}
install -m 644 lnxzip_16.xpm $RPM_BUILD_ROOT%{_datadir}/icons/mini/lnxzip.xpm
install -m 644 lnxzip_32.xpm $RPM_BUILD_ROOT%{_datadir}/icons/lnxzip.xpm
install -m 644 lnxzip_48.xpm $RPM_BUILD_ROOT%{_datadir}/icons/large/lnxzip.xpm

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc COPYING
%{_bindir}/lnxzip
%{_datadir}/pixmaps/gnome-lnxzip.png
%{_datadir}/mime-info/gnome-lnxzip.keys
%{_datadir}/gnome/help/lnxzip/C/gnome-main.html
%{_datadir}/gnome/help/lnxzip/C/gnome-rpm.html
%{_datadir}/gnome/help/lnxzip/C/index.html
%{_datadir}/gnome/help/lnxzip/C/topic.dat
%{_libdir}/menu/*
%{_datadir}/icons/lnxzip.xpm
%{_datadir}/icons/large/lnxzip.xpm
%{_datadir}/icons/mini/lnxzip.xpm

%changelog
* Tue Jan 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1-3mdk
- clean spec

* Fri Jul 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1-2mdk
- macros
- bm

* Tue May 09 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1-1mdk
- First mdk release
- Add menu entry
 

